Game_Interpreter.prototype.MikataStartDraw = function () {
    this.DelSpriteSpan(PN_CharacterPL, PN_CharacterPL + 4); 
    for (let i = 1; i <= NPlayer.length - 1; i++) {
        this.MikataDraw_ENo(i);
    }
}
let CmnEnemyData = null;
Game_Interpreter.prototype.MikataDraw_ENo = function (ENo, fadeInFlg) {
    fadeInFlg = typeof fadeInFlg !== 'undefined' ? fadeInFlg : false;
    let opacity = 255;
    if (fadeInFlg) opacity = 0;
    NPlayer[ENo]._bar_x = 0;
    let EnemyDBData = $dataEnemies[NPlayer[ENo]._enemyId];
    let ckBarX = MetaChecker(EnemyDBData, 'bar_x');
    if (ckBarX != "") NPlayer[ENo]._bar_x = Number(ckBarX);
    NPlayer[ENo]._bar_y = 0;
    let ckBarY = MetaChecker(EnemyDBData, 'bar_y');
    if (ckBarY != "") NPlayer[ENo]._bar_y = Number(ckBarY);
    NPlayer[ENo]._IcX = 0;
    let ckIconX = MetaChecker(EnemyDBData, 'IcX');
    if (ckIconX != "") NPlayer[ENo]._IcX = Number(ckIconX);
    NPlayer[ENo]._IcY = 0;
    let ckIconY = MetaChecker(EnemyDBData, 'IcY');
    if (ckIconY != "") NPlayer[ENo]._IcY = Number(ckIconY);
    let btlPicturePath = EnemyDBData.battlerName
    let mikataPicNo = PN_CharacterPL + NPlayer[ENo]._PicNo;
    if (NPlayer[ENo].SpineFlg) {
        NPlayer[ENo]._pWidth = MetaChecker(EnemyDBData, 'Spine_幅', 200);
        NPlayer[ENo]._pHeight = MetaChecker(EnemyDBData, 'Spine_縦', 200);
        NPlayer[ENo].SpineScale = Number(MetaChecker(EnemyDBData, 'Spine_Scale', 1));
        NPlayer[ENo].SpineXScale = NPlayer[ENo].SpineScale;
        if (MetaChecker(EnemyDBData, 'Spine反転' , false)) NPlayer[ENo].SpineXScale *= -1;
        let idlName = GetEnemyIdlName(NPlayer[ENo]);
        this.SpineView(mikataPicNo , btlPicturePath, idlName, true,
            NPlayer[ENo]._screenX, NPlayer[ENo]._screenY, 255,
            -100 * NPlayer[ENo].SpineXScale , 100 * Math.abs(NPlayer[ENo].SpineScale));
        let addSkinFlg = false;
        for (let i = 1; i <= 5; i++) { 
            let ckTrackStr = MetaChecker(EnemyDBData, 'Spine_Track_' + i, false);
            if (ckTrackStr != false) this.SetSpineAnime(mikataPicNo, ckTrackStr, true, i, 100);
            let ckSpineSkin = MetaChecker($dataEnemies[NPlayer[ENo]._enemyId], 'SpineSkin_' + i, false);
            if (ckSpineSkin != false) {
                addSkinFlg = true;
                this.AddSpineSkin(btlPicturePath , ckSpineSkin);
            }
        }
        if (addSkinFlg) this.SpineSkinCng(mikataPicNo , btlPicturePath);
        this.SetSpriteC(mikataPicNo, "enemies/_HitBox", NPlayer[ENo]._screenX, NPlayer[ENo]._screenY);
        let viewSpineCmnEvNo = MetaChecker(EnemyDBData , 'Spine表示コモン', false);
        NPlayer[ENo].AtkStr = MetaChecker(EnemyDBData , 'Spine_Atk', "Atk");
        if (viewSpineCmnEvNo != false) {
            View_ENo = ENo;
            ViewSpinePicNo = mikataPicNo;
            CmnEnemyData = NPlayer[ENo];
            this.SetCmnEvent(viewSpineCmnEvNo);
        }
    } else {
        if (NPlayer[ENo].SpineXScale == undefined) NPlayer[ENo].SpineXScale = 1;
        if (!MetaChecker(EnemyDBData, '静止画表示', false)) {
            this.PlayPicAnimeC(mikataPicNo, "enemies/BAnime/" + btlPicturePath,
                4, 8 + Math.floor( Math.random() * 5), NPlayer[ENo]._screenX, NPlayer[ENo]._screenY, opacity, -100, 100);
            if (fadeInFlg) {
                this.MovePict(mikataPicNo, NPlayer[ENo]._screenX, NPlayer[ENo]._screenY, 60, 255, true, true);
            }
        } else {
            this.SetSpriteC(mikataPicNo, "enemies/" + btlPicturePath,
                NPlayer[ENo]._screenX, NPlayer[ENo]._screenY, opacity, -100 * NPlayer[ENo].SpineXScale , 100 * Math.abs(NPlayer[ENo].SpineXScale));
            if (fadeInFlg) {
                this.MoveSprite(mikataPicNo, NPlayer[ENo]._screenX, NPlayer[ENo]._screenY, 60, 255, true, true);
            }
        }
    }
}
Game_Interpreter.prototype.MikataTCAdd = function (ENo, setTC間隔) {
    ENo = typeof ENo !== 'undefined' ? ENo : NPlayer.length - 1;
    setTC間隔 = typeof setTC間隔 !== 'undefined' ? setTC間隔 : 1;
    let setCounter = 0;
    for (let i = 0; i <= TurnCard.length - 1; i++) {
        if (TurnCard[i]._No == -1) {
            let tcBtlName = MetaChecker(GetEnemyData_ENo(-ENo - 1), "TCPic" , GetEnemyData_ENo(-ENo - 1).battlerName);
            let setTC = new TCData(EnemyTCType.Chara, tcBtlName, (-ENo - 1));
            if (setCounter == setTC間隔) {
                TurnCard.splice(i + 1, 0, setTC);
                setCounter = 0;
            }
            setCounter++;
        }
    }
    TCPicNoSetting(); 
    this.TCPicReDraw(); 
}
